searchNodes=[{"doc":"Baobab is an Elixir implementation of the Bamboo append-only log. It is fairly opinionated about the DETS persistence of the logs. They are considered to be a spool of the logs as retreived. Consumers of this library may wish to place a local copy of the logs in a store with better indexing and query properties. Configuration config :baobab, spool_dir: &quot;/tmp&quot; Options format : :entry or :binary , default: :entry log_id : the author's log identifier, default 0 clump_id : the bamboo clump with which associated, default: &quot;default&quot; revalidate : confirm the store contents are unchanged, default: false replace : rewrite log contents even if it exists, default: false","ref":"Baobab.html","title":"Baobab","type":"module"},{"doc":"A list of all {author, log_id, seqnum} tuples in the configured store","ref":"Baobab.html#all_entries/1","title":"Baobab.all_entries/1","type":"function"},{"doc":"Retrieve the list of sequence numbers on a particular log identified by the author key and log number","ref":"Baobab.html#all_seqnum/2","title":"Baobab.all_seqnum/2","type":"function"},{"doc":"Create and store a new log entry for a stored identity","ref":"Baobab.html#append_log/3","title":"Baobab.append_log/3","type":"function"},{"doc":"Retrieve a list of all populated clumps","ref":"Baobab.html#clumps/0","title":"Baobab.clumps/0","type":"function"},{"doc":"Compact log contents to only items in the certificate pool for the latest entry. This allows validation while reducing space used","ref":"Baobab.html#compact/2","title":"Baobab.compact/2","type":"function"},{"doc":"Retrieve all available entries in a particular log","ref":"Baobab.html#full_log/2","title":"Baobab.full_log/2","type":"function"},{"doc":"Retrieve an author log at a particular sequence number. Includes the available certificate pool for its verification. Using :max as the sequence number will use the latest","ref":"Baobab.html#log_at/3","title":"Baobab.log_at/3","type":"function"},{"doc":"Retreive a paticular entry by author and sequence number. :max for the sequence number retrieves the latest known entry","ref":"Baobab.html#log_entry/3","title":"Baobab.log_entry/3","type":"function"},{"doc":"Retrieve all available author log entries over a specified range: {first, last} .","ref":"Baobab.html#log_range/3","title":"Baobab.log_range/3","type":"function"},{"doc":"Retrieve the latest sequence number on a particular log identified by the author key and log number","ref":"Baobab.html#max_seqnum/2","title":"Baobab.max_seqnum/2","type":"function"},{"doc":"","ref":"Baobab.html#optvals/3","title":"Baobab.optvals/3","type":"function"},{"doc":"Purges a given log. :all may be specified for author and/or the log_id option. Specifying both effectively clears the entire store. Returns stored_info/0 Examples iex&gt; Baobab.purge(:all, log_id: :all) []","ref":"Baobab.html#purge/2","title":"Baobab.purge/2","type":"function"},{"doc":"A list of {author, log_id, max_seqnum} tuples in the configured store","ref":"Baobab.html#stored_info/1","title":"Baobab.stored_info/1","type":"function"},{"doc":"Functions for interacting with clump metadata May be useful between consumers to communicate intent","ref":"Baobab.ClumpMeta.html","title":"Baobab.ClumpMeta","type":"module"},{"doc":"Create a block of a given type: author: 32 byte-raw or 43-byte base62-encoded value log_id: 64 bit unsigned integer log_spec: {author, log_id} Returns the current block list","ref":"Baobab.ClumpMeta.html#block/2","title":"Baobab.ClumpMeta.block/2","type":"function"},{"doc":"","ref":"Baobab.ClumpMeta.html#block/3","title":"Baobab.ClumpMeta.block/3","type":"function"},{"doc":"Returns a boolean indicating whether the supplied spec is blocked on the supplied clump Includes the specifications from block/2 and {author, log_id, seq_num}","ref":"Baobab.ClumpMeta.html#blocked?/2","title":"Baobab.ClumpMeta.blocked?/2","type":"function"},{"doc":"Lists current blocks on the supplied clump_id","ref":"Baobab.ClumpMeta.html#blocks_list/1","title":"Baobab.ClumpMeta.blocks_list/1","type":"function"},{"doc":"Filter out blocked clump logs from a supplied list of entry tuples ({ author , log_id , seq_num })","ref":"Baobab.ClumpMeta.html#filter_blocked/2","title":"Baobab.ClumpMeta.filter_blocked/2","type":"function"},{"doc":"Remove an extant block specified as per block/2 Returns the current block list","ref":"Baobab.ClumpMeta.html#unblock/2","title":"Baobab.ClumpMeta.unblock/2","type":"function"},{"doc":"A struct representing a Baobab entry","ref":"Baobab.Entry.html","title":"Baobab.Entry","type":"module"},{"doc":"Validation of Baobab.Entry structs","ref":"Baobab.Entry.Validator.html","title":"Baobab.Entry.Validator","type":"module"},{"doc":"Validate a Baobab.Entry struct relative to the provided clump_id Includes validation of its available certificate pool","ref":"Baobab.Entry.Validator.html#validate/2","title":"Baobab.Entry.Validator.validate/2","type":"function"},{"doc":"Validate the backlink field of a Baobab.Entry relative to the provided clump","ref":"Baobab.Entry.Validator.html#validate_backlink/2","title":"Baobab.Entry.Validator.validate_backlink/2","type":"function"},{"doc":"Validate a Baobab.Entry without full certificate pool verification. Confirms: Signature Payload hash Backlink Lipmaalink Relative to the provided clump_id","ref":"Baobab.Entry.Validator.html#validate_entry/2","title":"Baobab.Entry.Validator.validate_entry/2","type":"function"},{"doc":"Validate the lipmaalink field of a Baobab.Entry relatve to the provided clump_id","ref":"Baobab.Entry.Validator.html#validate_lipmaalink/2","title":"Baobab.Entry.Validator.validate_lipmaalink/2","type":"function"},{"doc":"Validate the payload_hash field of a Baobab.Entry","ref":"Baobab.Entry.Validator.html#validate_payload_hash/1","title":"Baobab.Entry.Validator.validate_payload_hash/1","type":"function"},{"doc":"Validate the sig field of a Baobab.Entry","ref":"Baobab.Entry.Validator.html#validate_sig/1","title":"Baobab.Entry.Validator.validate_sig/1","type":"function"},{"doc":"Functions related too Baobab identity (keypair) handling","ref":"Baobab.Identity.html","title":"Baobab.Identity","type":"module"},{"doc":"Resolve an identity to its Base62 representation Attempts to resolve ~short using stored logs","ref":"Baobab.Identity.html#as_base62/1","title":"Baobab.Identity.as_base62/1","type":"function"},{"doc":"Create and store a new identity string An optional secret key to be associated with the identity may provided, either raw or base62 encoded. The public key will be derived therefrom.","ref":"Baobab.Identity.html#create/2","title":"Baobab.Identity.create/2","type":"function"},{"doc":"Drop a stored identity. Baobab will be unable to recover keys (notably :secret keys) destroyed herewith.","ref":"Baobab.Identity.html#drop/1","title":"Baobab.Identity.drop/1","type":"function"},{"doc":"Retrieve the key for a stored identity. Can be either the :public or :secret key","ref":"Baobab.Identity.html#key/2","title":"Baobab.Identity.key/2","type":"function"},{"doc":"List all known identities with their base62 public key representation","ref":"Baobab.Identity.html#list/0","title":"Baobab.Identity.list/0","type":"function"},{"doc":"Rename an extant identity leaving its keys intact.","ref":"Baobab.Identity.html#rename/2","title":"Baobab.Identity.rename/2","type":"function"},{"doc":"Functions related to the interchange of Bamboo data with other Bamboo sources","ref":"Baobab.Interchange.html","title":"Baobab.Interchange","type":"module"},{"doc":"Export full store contents to the provided directory Produces: JSON keyfiles for each identity Per clump directories containing a file for each author, log_id pair a JSON metadata file","ref":"Baobab.Interchange.html#export_store/1","title":"Baobab.Interchange.export_store/1","type":"function"},{"doc":"Import and store a list of log entries from their binary format.","ref":"Baobab.Interchange.html#import_binaries/2","title":"Baobab.Interchange.import_binaries/2","type":"function"},{"doc":"Import a bamboo store At present this only handles an exported directory as produced by export_store/1","ref":"Baobab.Interchange.html#import_store/1","title":"Baobab.Interchange.import_store/1","type":"function"},{"doc":"Functions related to Baobab values persistence","ref":"Baobab.Persistence.html","title":"Baobab.Persistence","type":"module"},{"doc":"Interact with a Baobab persistence mechanism Actions closely mirror the underlying dets at present","ref":"Baobab.Persistence.html#action/4","title":"Baobab.Persistence.action/4","type":"function"},{"doc":"Deal with the peristed bamboo content","ref":"Baobab.Persistence.html#content/5","title":"Baobab.Persistence.content/5","type":"function"},{"doc":"Retrieve the current hash of the :content or :identity store. No information should be gleaned from any particular hash beyond whether the contents have changed since a previous check.","ref":"Baobab.Persistence.html#current_hash/2","title":"Baobab.Persistence.current_hash/2","type":"function"}]